' Cover-Wiedergabelisten
'
' Das Skript erzeugt, basierend auf der aktuellen Titelauswahl,
' insgesamt drei Wiedergabelisten. Eine, in der alle Titel enthalten sind,
' die eine Cover-Abbildung beinhalten, eine, in der alle Titel ohne
' Cover-Abbildung zu finden sind, und eine, in der alle Titel mit mehr
' als einer Cover-Abbildung abgelegt werden. 
'
' (c) 2006-2015 Gerald Erdmann
'
' Skript aus dem Buch "iPod + iTunes", erscheinen bei O'Reilly
' Weitere Details finden Sie unter http://www.ipodbuch.de.
' Fr etwaige Fehler oder Datenverluste wird keine Garantie
' bernommen. Benutzung auf eigene Gefahr!
'
' Zur Installation das Skript an eine beliebige Stelle kopieren.
' Das Skript kann nicht direkt aus iTunes heraus aufgerufen werden,
' sondern wird direkt aus dem Windows Explorer gestartet.
'
' Version 1.0  Juli 2006  Erste Version
' Version 1.1  Sep. 2010  Fix fr iTunes 10
' Version 1.2  Sep. 2015  Fix fr iTunes 12
'

dim iTunes
dim tracklist
dim track
dim playlist0
dim playlist1
dim playlist2
dim artCount

set iTunes = CreateObject ("iTunes.Application")
set tracklist = iTunes.SelectedTracks

if left (iTunes.Version, 3) <> "10." and left (iTunes.Version, 3) <> "11." and left (iTunes.Version, 3) <> "12." and left (iTunes.Version, 3) <> "13." and iTunes.Version < "4.0" then
  WScript.Echo "Sie bentigen iTunes 4 oder hher fr dieses Skript!"
else
  if tracklist is nothing then
    WScript.Echo "Sie haben keine Titel selektiert!"
  else
    set playlist0 = iTunes.CreatePlaylist ("Titel ohne Cover-Darstellung")
    set playlist1 = iTunes.CreatePlaylist ("Titel mit einer Cover-Darstellung")
    set playlist2 = iTunes.CreatePlaylist ("Titel mit mehreren Cover-Darstellungen")
    for track = 1 to tracklist.Count
      artCount = tracklist.Item (track).Artwork.Count
      if artCount = 0 then
        playlist0.AddTrack (tracklist.Item (track))
      elseif artCount = 1 then
        playlist1.AddTrack (tracklist.Item (track))
      else
        playlist2.AddTrack (tracklist.Item (track))
      end if
    next
  end if
end if

